# documents.comments.list

Read comment threads and replies for an agreement template in this organization, including resolved threads and their anchored text.

`GET | POST /api/v1/accounting/documents.comments.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_documents_comments_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `documentType` | "agreement_template" | Yes |  |
| `documentId` | string (ID) | Yes | The ID of the related record. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/documents.comments.list \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'documentType=agreement_template' \
  --data-urlencode 'documentId=1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d'
```

Reference page: https://app.getoatmilk.com/docs/api/documents.comments.list
